> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/items/{itemId}

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/items/{itemId}
```

where `{itemId}` is the ID of a Secure Object or collection.

## Supported methods and overview&#x20;

* `GET` - used to retrieve information about a [Secure Object](/3.1/api/creating-secure-objects-and-collections.md#secure-object) or [collection](/3.1/api/creating-secure-objects-and-collections.md#collection) (i.e. [item](/3.1/api/creating-secure-objects-and-collections.md#item)), based on the item's ID.

> [!NOTE]
>
> This method takes no parameters.

## Detailed description&#x20;

This API endpoint retrieves information about a Secure Object or collection, using this item's ID.

The item's ID can be obtained by calling the [\<access-service>/api/v1/items](/3.1/api/access-service-api-v1-items.md) API endpoint, which retrieves a list of information associated with Secure Objects and collections that can be filtered using various 'search' criteria.

## Supported roles and conditions&#x20;

This API endpoint supports the following Covata user [roles](/3.1/admin/administering-users.md#a-users-roles) (as described in the [Covata Platform Administrator's Guide](/3.1/admin.md)) and conditions:

* [Originator](/3.1/admin/administering-users.md#originator-role) - a Covata user with this role can call this endpoint on an item they own.
* **Originator**, [Collaborator](/3.1/admin/administering-users.md#collaborator-role) and [Ad hoc](/3.1/admin/administering-users.md#adhoc-role) - a Covata user with any of these roles can call this endpoint on an item they are a collaborator on.

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the [header](/3.1/api/access-service-api-v1-items-itemid.md#access-service-api-v1-items-itemid-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6`

## Returns&#x20;

A JSON-formatted response containing an array of elements, each of which contains the following members:

* **id** - .
* **name** - .
* **sha512** - .
* **owner** - .

  * **email** - .
  * **firstName** - .
  * **lastName** - .
  * **id** - .
* **hasView** - .
* **canGenerateView** - .
* **modifiedAt** - .
* **createdAt** - .
* **originator** - .

  * **email** - .
  * **id** - .
* **labelName** - .
* **shared** - .
* **parentId** - .
* **type** - .
* **labelId** - .
* **collaborators** - .

  * **shareStartTime** - .
  * **shareEndTime** - .
  * **shareParentId** - .
  * **shareName** - .
  * **email** - .
  * **firstName** - .
  * **lastName** - .
  * **id** - .
* **state** - .

  **Example (response from ...):**


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.